
# SpaceFace

Automatically set a user's wallpaper to [NASA's Astronomy Picture Of the Day](https://api.nasa.gov/#apod)

## Badges

[![GPLv3 License](https://img.shields.io/badge/License-GPL%20v3-yellow.svg)](https://opensource.org/licenses/)
[![Build Status](https://drone.nightmare.haus/api/badges/rudi/SpaceFace/status.svg)](https://drone.nightmare.haus/rudi/SpaceFace)
[![Go Report Card](https://goreportcard.com/badge/git.nightmare.haus/rudi/SpaceFace/loggy)](https://goreportcard.com/report/git.nightmare.haus/rudi/SpaceFace)
[![Documentation](https://godoc.org/git.nightmare.haus/rudi/SpaceFace?status.svg)](http://godoc.org/git.nightmare.haus/rudi/SpaceFace)
## Acknowledgements

 - [reujab/wallpaper](https://github.com/reujab/wallpaper)
 - [Download a file using Go](https://stackoverflow.com/a/33845771)
 - [Checking if directory exists in Go](https://gist.github.com/mattes/d13e273314c3b3ade33f)
 - [JSON to Go tool](https://transform.tools/json-to-go)
 - [{NASA APIs}](https://api.nasa.gov/)


## Installation

The easiest way to install SpaceFace would be the AUR Package. To build manually, these steps are executed:

```bash
  go build
  ./SpaceFace
```
This will set your current wallpaper to the NASA APOD. If the path `/usr/share/backgrounds/spaceface` exists, then SpaceFace will also download the APOD to `/usr/share/backgrounds/spaceface/lock.jpg` for setting the lock screen. (Automatic setting of lock screen not yet implemented)

## Deployment

To deploy this project on linux run

```bash
  sudo mkdir /usr/share/backgrounds/spaceface
  sudo chown $USER /usr/share/backgrounds/spaceface
  sudo mv SpaceFace /usr/local/bin/
  sudo chmod +x /usr/local/bin/SpaceFace
  /usr/local/bin/SpaceFace
```

And then set your `~/.config/kscreenlockerrc` to contain:
```
[Greeter]
WallpaperPlugin=org.kde.image

[Greeter][Wallpaper][org.kde.image][General]
Image=/usr/share/backgrounds/spaceface/lock.jpg

```